package com.docus.server.convert;

import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.entity.segmentation.OcrCutConfig;
    import com.docus.server.dto.segmentation.ocrcutconfig.AddOcrCutConfigDTO;
    import com.docus.server.dto.segmentation.ocrcutconfig.EditOcrCutConfigDTO;
    import com.docus.server.dto.segmentation.ocrcutconfig.DeleteOcrCutConfigDTO;
import com.docus.server.vo.segmentation.ocrcutconfig.OcrCutConfigVO;

import org.mapstruct.Mapper;
import org.mapstruct.Mappings;
import org.mapstruct.factory.Mappers;

import java.util.List;

/**
*
* ocr图片剪切配置 服务转换器
*
* @author AutoGenerator
* @since 2023-08-29
*/
@Mapper
public interface OcrCutConfigConvert {

    OcrCutConfigConvert INSTANCE = Mappers.getMapper(OcrCutConfigConvert.class);

    @Mappings({})
    OcrCutConfig convertDO(AddOcrCutConfigDTO addOcrCutConfigDTO);

    @Mappings({})
    OcrCutConfig convertDO(EditOcrCutConfigDTO editOcrCutConfigDTO);

    @Mappings({})
    List<OcrCutConfig> convertAddDOList(List<AddOcrCutConfigDTO> addOcrCutConfigDTO);

    @Mappings({})
    List<OcrCutConfig> convertEditDOList(List<EditOcrCutConfigDTO> editOcrCutConfigDTO);

    @Mappings({})
    OcrCutConfigVO convertVO(OcrCutConfig ocrCutConfig);

    @Mappings({})
    List<OcrCutConfigVO> convertVO(List<OcrCutConfig> ocrCutConfigList);

    @Mappings({})
    PageResult<OcrCutConfigVO> convertVO(PageResult<OcrCutConfig> pageResult);
}

